from typing import List
from sqlalchemy.orm import Session

from app.crud.base import CRUDBase
from app.models.character import Character
from app.schemas.character import CharacterCreate, CharacterUpdate


class CRUDCharacter(CRUDBase[Character, CharacterCreate, CharacterUpdate]):
    def get_by_anime(self, db: Session, *, anime_id: int) -> List[Character]:
        """Get all characters for a specific anime"""
        return db.query(Character).filter(Character.anime_id == anime_id).all()


character = CRUDCharacter(Character)